@use '/src/mainColor' as *;

.light-mode {
  .img-button {
    --btn-back-hover: #{mainColor(90%)};
    --btn-back-active: #{mainColor(93%)};
  }
}
.dark-mode {
  .img-button {
    --btn-back-hover: #{mainColor(25%)};
    --btn-back-active: #{mainColor(20%)};
  }
}

.img-button {
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: .25em;
  transition: background-color .2s;

  &:hover {
    background: var(--btn-back-hover);
  }
  &:active {
    background-color: var(--btn-back-active);
  }

  img {
    user-select: none;
  } 
}